;;;************************************************************
;;; Filename: ErrorTest1.LSP
;;; Author:   David M. Stein
;;; Date:     3/2/02
;;; Purpose:  Demonstrates errors and error trapping using
;;;           Visual LISP with ActiveX functions.
;;;************************************************************

(vl-load-com)

(defun C:GETPROPS
	( / ent obj lay col ltp lwt dia len)
	(if (setq ent (entsel "\nSelect entity to query: "))
		(progn
			(setq obj (vlax-ename->vla-object (car ent)))
			(command "chprop" (car ent) "" "C" "BYLAYER" "")
			(setq lay (vla-get-layer obj)
						col (vla-get-color obj)
						ltp (vla-get-linetype obj)
						lwt (vla-get-lineweight obj)
						dia nil; (vla-get-diameter obj)
						len nil; (vla-get-length obj)
			)
			(foreach p (list lay col ltp lwt dia len)
				(princ "\n--->")
				(princ p)
			)
		)
	)
	(princ)
)

(princ)