;; This example involves the task of assigning all entities in the
;; current working space to "ByLayer" with respect to Color, Linetype, and Lineweight properties.

(defun C:BYLAYER
  ( / acad doc ssall i obj)
  (vl-load-com)
  (setq acad (vlax-get-acad-object)
        doc  (vla-get-activedocument acad)
  )
  (vla-startundomark acad)
  (vla-zoomextents acad)
  (cond
    ( (setq ssall (ssget "x")); get all entities
      (setq i 0)
      (repeat (sslength ssall)
        (setq obj (vlax-ename->vla-object (ssname ssall i)))
        (vlax-put-property obj "Color" acByLayer)
        (vlax-put-property obj "Linetype" "ByLayer")
        (vlax-put-property obj "Lineweight" acLnWtByLwDefault)
        (vlax-release-object obj)
        (setq i (1+ i))
      )
    )
  )
  (vla-endundomark acad)
  (princ "\nFinished processing all entities.")
  (princ)
) 
