;; This example involves the task of iterating through the Documents collection
;; and performing a Purge, Audit and Save operation on each document.

(defun C:DOALL ( / $acad docs dnum this)
  (setq $acad (vlax-get-acad-object)
        docs (vla-get-documents $acad)
        this (vla-get-activedocument $acad)
        dnum (vla-get-count docs)
  )
  (vlax-for each docs
    (vla-purgeall each)
    (vla-auditinfo each T)
    (vla-save each)
  )
  (vla-get-activedocument this)
  (vlax-release-object docs)
  (vlax-release-object this)
  (vlax-release-object $acad)
  (princ (strcat "\nProcessed " (itoa dnum) " drawings."))
  (princ)
)
